Ergebnis 1 bis 9 von 9
  1. #1
    Neuer Benutzer
    Registriert seit
    04.07.2012
    Ort
    Bielefeld
    Beiträge
    27

    Roundcube lässt sich nicht als Anwendung installieren

    Mir ist in den letzten Tagen ausgefallen, das unter Ubuntu 12.04 falsche Userrechte bei der Apps Installation vergeben werden und es dann zu einem 500 Server Error kommt.

    Server1 ist alles OK.

    Server1: Lizenz Business
    OS: Debian 6
    Liveconfig: Testversion 1.6.2-r2258

    web01:/var/www/web1# l
    drwxr-x--- 3 web1 www-data 4096 20. Mai 13:01 apps
    web01:/var/www/web1# l apps
    drwxr-xr-x 8 web1 web1 4096 20. Mai 13:01 phpmyadmin

    Server2 falsche Rechte.

    Server2: Lizenz Basic
    OS Ubuntu 12.04
    Liveconfig: Testversion 1.6.2-r2350

    root@web01:/var/www/web1# ls -lsa
    4 drwxrwx--- 3 www-data web1 4096 Mai 20 14:12 apps
    root@web01:/var/www/web1# ls -lsa apps
    4 drwxrwx--- 8 www-data web1 4096 Mai 20 14:12 phpmyadmin
    root@web01:/var/www/web1/apps# ls -lsa phpmyadmin
    12 -rw-r--r-- 1 web1 web1 11256 Apr 8 14:06 browse_foreigners.php
    4 -rw-r--r-- 1 web1 web1 1301 Apr 8 14:06 bs_disp_as_mime_type.php
    4 -rw-r--r-- 1 web1 web1 2060 Apr 8 14:06 bs_play_media.php

    [crit] [client XXX.XXX.XXX.XXX] (13)Permission denied: /var/www/web1/apps/.htaccess pcfg_openfile: unable to check htaccess file, ensure it is readable
    [error] [client XXX.XXX.XXX.XXX] SoftException in Application.cpp:555: Directory /var/www/web1/apps/phpmyadmin is not owned by web1
    [error] [client XXX.XXX.XXX.XXX] Premature end of script headers: index.php

  2. #2
    Neuer Benutzer
    Registriert seit
    14.05.2013
    Beiträge
    21

    Roundcube lässt sich nicht als Anwendung installieren

    Hallo zusammen,

    gerade wollte ich Roundcube installieren, da krachte es auch schon gewaltig, als ich nach Abschluss der Installation auf den angezeigten Link klickte:
    Code:
    [Tue May 21 12:28:01 2013] [error] [client X.X.X.X] SoftException in Application.cpp:555: Directory /var/www/web28/apps/webmail is not owned by web28
    [Tue May 21 12:28:01 2013] [error] [client X.X.X.X] Premature end of script headers: index.php
    Ist der Installer hier noch buggy?
    Nutze aktuell die Preview-Version: 1.6.2 (r2350) vom 17.05.2013 auf Debian 7.0 Fresh-Install

    Gruß
    Aaron
    Geändert von Screeny (21.05.2013 um 11:50 Uhr)

  3. #3
    Neuer Benutzer
    Registriert seit
    04.07.2012
    Ort
    Bielefeld
    Beiträge
    27
    Zufällig Ubuntu als OS?
    Habe gestern dazu ein Theme erstellt aber anscheinend wurde es als Spammy Post markiert und wartet auf Freischaltung vom Moderator / Admin.

  4. #4
    Neuer Benutzer
    Registriert seit
    14.05.2013
    Beiträge
    21
    Nein, Debian 7.0 als OS.

  5. #5
    LiveConfig-Team Avatar von kk
    Registriert seit
    10.12.2010
    Beiträge
    3.549
    Ab sofort steht ein Update bereit (r2353), welches das Problem beheben sollte. Mit r2347 wurden die Verzeichnisrechte modifiziert - in diesem Fall leider "zu" sicher. Die automatischen Tests sind in Bezug auf den AppInstaller leider nicht nicht vollständig genug, um diesen Fehler zu erkennen - künftig wird das aber auch geprüft.

    [Nachtrag] Ich habe zwei thematisch identische Threads zusammengefasst...
    Geändert von kk (21.05.2013 um 12:29 Uhr)

  6. #6
    Neuer Benutzer
    Registriert seit
    14.05.2013
    Beiträge
    21
    Gibt es einen Changelog für diese Version?

  7. #7
    LiveConfig-Team Avatar von kk
    Registriert seit
    10.12.2010
    Beiträge
    3.549
    Ja, einfach mal Reload machen. ;-)

  8. #8
    Neuer Benutzer
    Registriert seit
    14.05.2013
    Beiträge
    21
    Zitat Zitat von kk Beitrag anzeigen
    Ja, einfach mal Reload machen. ;-)
    Narf. Habe erst jetzt bemerkt, dass der Changelog nach unten hin aktueller wird ^_^ Sorry!

  9. #9
    LiveConfig-Team Avatar von kk
    Registriert seit
    10.12.2010
    Beiträge
    3.549
    Zitat Zitat von Screeny Beitrag anzeigen
    Narf.
    Kein Problem. Der Webserver ist eh so konfiguriert, dass auch HTML-Dateien mit einem Expire +3Days ausgeliefert werden - für kurzfristig geänderte Seiten kommt man um ein explizites "Reload" also auch nicht herum. Zort!

Stichworte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •